#   File generated automatically by Typhon Package Manager
#
#   Makefile.fpc for pl_zmsql 0.1.13
#
#   This file was generated on 2/11/2013

[package]
name=pl_zmsql
version=0.1.13

[compiler]
unittargetdir=lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM)
unitdir=source ../../packager/units/$(CPU_TARGET)-$(OS_TARGET) ../lazutils/lib/$(CPU_TARGET)-$(OS_TARGET) ../codetools/units/$(CPU_TARGET)-$(OS_TARGET) ../../lcl/units/$(CPU_TARGET)-$(OS_TARGET) ../../lcl/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../lazcontrols/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../sdf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../synedit/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../ideintf/units/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../rtticontrols/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../sqldb/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) ../dbexport/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) .
includedir=source
options= -MObjFPC -Scghi -O1 -g -gl -vewnhi -l -dLCL -dLCL$(LCL_PLATFORM)

[target]
units=pl_zmsql.pas

[clean]
files=$(wildcard $(COMPILER_UNITTARGETDIR)/*$(OEXT)) \
      $(wildcard $(COMPILER_UNITTARGETDIR)/*$(PPUEXT)) \
      $(wildcard $(COMPILER_UNITTARGETDIR)/*$(RSTEXT)) \
      $(wildcard $(COMPILER_UNITTARGETDIR)/*.lfm) \
      $(wildcard $(COMPILER_UNITTARGETDIR)/*.res) \
      $(wildcard $(COMPILER_UNITTARGETDIR)/*.compiled) \
      $(wildcard *$(OEXT)) $(wildcard *$(PPUEXT)) $(wildcard *$(RSTEXT))
[prerules]
# LCL Platform
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk2
endif
endif
endif
endif
export LCL_PLATFORM

[rules]
.PHONY: cleartarget compiled all

cleartarget:
        -$(DEL) $(COMPILER_UNITTARGETDIR)/pl_zmsql$(PPUEXT)

compiled:
        $(CPPROG) -f Makefile.compiled $(COMPILER_UNITTARGETDIR)/pl_zmsql.compiled

all: cleartarget $(COMPILER_UNITTARGETDIR) pl_zmsql$(PPUEXT) compiled
